/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#ifndef GLOBALPROPERTIES_HH
#define GLOBALPROPERTIES_HH

#include <qstring.h>
#include "../config.h"

namespace GlobalProperties
        {
                // #define TEMPQUOTE "
                static const QString RESOURCES_DIR = PROTUX_PREFIX "/share/protux" ;

                void init();
                void insert(char* key, char* value);
                void remove(char* key);
                char* get(char* key);
                int get_int(char* key);
                void set(char* key, int value);
                void set(char* key, char* value);
                void show_dict();
                void save();
                void finish();


        };



#endif
