/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/
#ifndef SUBCLIP_HH
#define SUBCLIP_HH

class Audio;
class AudioClip;

class SubClip
        {
        public :
                SubClip* next;
                SubClip* prev;
                Audio* audioSource;

                long long firstFileBlock;
                long long relativeSliceBlock;
                int  width;

                SubClip(AudioClip* pParentclip,
                        long long aRelativeBlock,
                        long long aFirstBlock,
                        int aWidth);
                ~SubClip();

                void rewind();

                AudioClip* parentClip;
        };

#include "AudioClip.hh"
#include "Audio.hh"

#endif

