#ifndef OCTAVERCONTROLLER_HH
#define OCTAVERCONTROLLER_HH

#include <mustux.h>
#include "FilterController.hh"
#include "AudioFilter.hh"

class Song;

class OctaverController : public FilterController
        {
        public:
                OctaverController(Song* pParentSong, MustuxDrawable* pDrawArea, AudioFilter* pFilter );
                ~OctaverController();

                QString get_type(); // virtual
                void setup();
                void node_setup();
                void draw();
                int process(char* data, int size); // virtual

                int get_baseX();
                int get_baseY();
                int get_width();
                int get_height();
                void set_baseX(int initialValue);
                void set_baseY(int initialValue);
                void set_width(int initialValue);
                void set_height(int initialValue);

        };



#endif
