#ifndef REVERBCONTROLLER_HH
#define REVERBCONTROLLER_HH


#include <mustux.h>
#include "AudioFilter.hh"
#include "FilterController.hh"


class Song;

class ReverbController : public FilterController
        {
        public:
                ReverbController(Song* pParentSong, MustuxDrawable* pDrawArea, AudioFilter* pFilter );
                ~ReverbController();

                QString get_type(); // virtual
                void draw();

		void setup();
		void node_setup();

                int get_baseX();
                int get_baseY();
                int get_width();
                int get_height();
                void set_baseX(int initialValue);
                void set_baseY(int initialValue);
                void set_width(int initialValue);
                void set_height(int initialValue);
        };



#endif
