/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#ifndef BUSMONITOR_HH
#define BUSMONITOR_HH

#include <mustux.h>


class BusMonitor : public MustuxEngine
        {
        Q_OBJECT
        public :
                BusMonitor(MustuxLcd*);
                ~BusMonitor();

                void activate();
                void deactivate();

                bool is_active();

                void clear();

                void update_levels(int bus, char* buf, int bufsize);
                // void set_output_vu(Spectrogram* spectrogram);

        public slots:
                void update();

        private :

                MustuxLcd* parentLcd;
                int* lCurrLevel;
                int* rCurrLevel;
                bool isActive;
                QTimer* updateTimer;

                // Spectrogram* spectrogram;
        };

#endif



