#ifndef BUSSELECTOR_HH
#define BUSSELECTOR_HH

#include <mustux.h>

#include <qtimer.h>

class BusSelector : public MustuxDrawableRegion
        {
        Q_OBJECT


        public:
                BusSelector(MustuxDrawable* pDrawArea);
                ~BusSelector();

                void show_list();
                void start();
                void stop();
                int get_selected_bus();
                QString get_selected_bus_name();
                
        private:
                QTimer* updateTimer;
                int rootx;
                int rooty;
                int windowWidth;
                int windowHeight;
                int lastPointedLine;
                int colorChangeVal;
                int colorChangeFactor;

                int numBuses;

        public slots:
                void update_selection();

        };

#endif
