/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#ifndef COLORMANAGER_HH
#define COLORMANAGER_HH

#include <qcolor.h>

namespace ColorManager
        {

                static const int MAX_COLORS = 15;
                static const bool BLUR = true;

                static const int COLOR_TRACK_BG                    = 0;
                static const int COLOR_TRACK_ACTIVE_BORDER         = 1;
                static const int COLOR_CLIP_RECORDING              = 2;
                static const int COLOR_CLIP_BG                     = 3;
                static const int COLOR_CLIP_SELECTED_BG            = 4;
                static const int COLOR_CLIP_MUTED_BG               = 5;
                static const int COLOR_CLIP_INFO_AREA_BG           = 6;
                static const int COLOR_CLIP_PEAK_MICROVIEW_FG      = 7;
                static const int COLOR_CLIP_PEAK_MACROVIEW_FG      = 8;
                static const int COLOR_CLIP_TEXT_FG                = 9;
                static const int COLOR_CLIP_PEAK_OVERLOADED_SAMPLE = 10;
                static const int COLOR_TRACK_PANEL_BG_COLOR        = 11;
                static const int COLOR_TRACK_PANEL_FG_COLOR        = 12;
                static const int COLOR_TRACK_PANEL_GREEN           = 13;
                static const int COLOR_TRACK_PANEL_RED             = 14;

                void init();
                QColor get(int colorIndex);
                void set_blur(int index, bool stat);

        };


#endif

