/**************************************************************************************

        PROTUX - THE FREE PROFESSIONAL AUDIO TOOLS FOR LINUX
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#include "TracksArea.hh"

TracksArea::TracksArea(Song* pSong, QWidget* parentWidget, const char* pName)
        : MustuxDrawable(parentWidget->width(), parentWidget->height(), parentWidget, pName)
        {
        assocSong=pSong;
        }

/*
void TracksArea::paintEvent(QPaintEvent* e)
        {
        MustuxDrawable::paintEvent(e);
        PDEBUG("received paintEvent");
        }
*/

void TracksArea::resizeEvent(QResizeEvent* e)
        {
        MustuxDrawable::resizeEvent(e);
        assocSong->recreate();
        }

void TracksArea::mouseMoveEvent(QMouseEvent* e)
        {
        assocSong->mouseMoveEvent(e);
        }

void TracksArea::recreate()
        {
        assocSong->recreate_tracks();
        }

//eof
