#ifndef GAIN_HH
#define GAIN_HH

#include <mustux.h>
#include "AudioFilter.hh"
class Gain : public AudioFilter
        {
        public:
                Gain(int pSampleRate, int pChannels);
                ~Gain();
 
                int load_data(   char* audioFragment, int audioFragmentSize ); // virtual
                int prepare(); // virtual
                int process(); // virtual

                void set_gain(float g);
                float get_gain();

        private :

                float gain;
        };
#endif
